Download it now!
Bug 65059 - FILEOPEN: XLSX file appears to be blank
Summary: FILEOPEN: XLSX file appears to be blank
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
4.0.3.3 release
Hardware: Other All
: medium major
Assignee: Markus Mohrhard
URL:
Whiteboard: BSA target:4.1.0.0.beta2 target:4.2.0...
Keywords:
Depends on:
Blocks:
 
Reported: 2013-05-28 03:14 UTC by Larry Knibb
Modified: 2013-05-30 15:24 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
Historical app crash data exported from dev.windowsphone.com (won't open properly) (3.93 KB, application/vnd.openxmlformats-officedocument.spreadsheetml.sheet)
2013-05-28 03:14 UTC, Larry Knibb
Details
PDF export using Excel for Mac 2011; change page style to 'landscape' before exporting (214.05 KB, application/pdf)
2013-05-28 20:15 UTC, Jorendc
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Larry Knibb 2013-05-28 03:14:00 UTC
Created attachment 79874 [details]
Historical app crash data exported from dev.windowsphone.com (won't open properly)

Problem description: 
As a Windows Phone developer I use dev.windowsphone.com to export my historical app crash data in Excel (XLSX) format. When I try to view these files in LibreOffice Spreadsheet on my Macbook the spreadsheet appears to be blank. I know there is data in the file because it opens correctly in Microsoft Office Excel on Windows. Best guess - the issue is with the large multiline data column containing stack trace information.

Steps to reproduce:
1. Download the attached XLSX file
2. Open it in LibreOffice Spreadsheet and observe that it appears to be blank
3. Reopen the same file in Microsoft Office and observe the data

Current behavior:
Spreadsheet appears to be blank

Expected behavior:
XLSX opens normally
              
Operating System: Mac OS X
Version: 4.0.3.3 release
Comment 1 retired 2013-05-28 09:18:23 UTC
Can confirm that the file is blank in LO 4.0.3.3 on OS X. If someone else could confirm that data does indeed show when opened with MS Office this could be set to new.
Comment 2 Jorendc 2013-05-28 20:15:11 UTC
Created attachment 79912 [details]
PDF export using Excel for Mac 2011; change page style to 'landscape' before exporting
Comment 3 Jorendc 2013-05-28 20:16:18 UTC
Thanks James for confirming using LibreOffice. I can do the other part:

I can verify data is shown/visible using Excel for Mac 2011; Using Mac OSX 10.8.3

Kind regards,
Joren
Comment 4 Julien Nabet 2013-05-28 20:45:20 UTC
On pc Debian x86-64 with master sources updated today, it's blank for me too.
I've got no specific messages on console.

Kohei/Markus/Eike: one for you?
Comment 5 Markus Mohrhard 2013-05-29 03:05:17 UTC
So this file shows two independent issues in our two OOXML import filters.

For orcus we already fail with the BOM bytes that are written in the xml files. I'll fix that soon. Additionally the orcus filter suffers from the same problem as the internal filter.

For the internal filter we always assume that the attribute "r" is present in a cell while it is optional according to the spec. This is not an issue with any other OOXML file as all other producers add this attribute. I'll try to fix that int he next few days.
Comment 6 Commit Notification 2013-05-29 20:13:02 UTC
Markus Mohrhard committed a patch related to this issue.
It has been pushed to "libreoffice-4-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=8b9f0660028790c47c10d06a2fefd1fc568dadc0&h=libreoffice-4-1

r is an optional attribute in c and r, fdo#65059


It will be available in LibreOffice 4.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2013-05-29 20:13:21 UTC
Markus Mohrhard committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=af8e6f4f544ecd01d3eda5f38bbd4779d5e8b2c6

r is an optional attribute in c and r, fdo#65059



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 8 Markus Mohrhard 2013-05-29 20:54:24 UTC
Pending review for 4-0.
Comment 9 Commit Notification 2013-05-30 15:24:41 UTC
Markus Mohrhard committed a patch related to this issue.
It has been pushed to "libreoffice-4-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=f2c01f91e51241434459b4d1659bad268131092c&h=libreoffice-4-0

r is an optional attribute in c and r, fdo#65059


It will be available in LibreOffice 4.0.5.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.